Subject: bug#56801: libinput won't recognize /etc/libinput/local-overrides.quirks

From: Cairn <[email-masked]>
Date: Wed, 27 Jul 2022 17:21:54 +0000

The libinput package doesn't seem to contain its own version of local-overrides.quirks, although it does contain an empty `/etc/libinput/`. Regardless, `quirks debug: /gnu/store/*-libinput-1.19.2/etc/libinput/local-overrides.quirks` is listed when running the following:

    libinput quirks list --verbose /dev/input/event0

Since it's returned, it seems to selecting this non-existent file as its local quirks list. This prevents libinput from recognizing a custom `local-overrides.quirks`. For example, I'm attempting to speed up my trackpoint (/dev/input/event17). If I add a working modification method[1] to `/etc/libinput/local-overrides.quirks`, I can see my value modified with the following:

    libinput quirks list --data-dir /etc/libinput /dev/input/event17

But when I remove the `--data-dir` flag, I'm returned the default value (`AttrTrackpointMultiplier=0.40`).

[1]: The following, where 0.4 is changed to 1.0: https://gitlab.freedesktop.org/libinput/libinput/-/blob/main/quirks/50-system-lenovo.quirks#L34